*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

:root{
    --violet:hsl(257, 40%, 49%);
    --soft-magenta:hsl(300, 69%, 71%);
    --white:hsl(0,0%,100%);
}

body{
    min-height:100vh;
    background-image:url('./images/bg-desktop.svg');
    background-color:var(--violet);
    background-size:cover;
    background-repeat:no-repeat;
    background-position:center;
    font-family:'Open Sans', sans-serif;
    padding:2.5rem 4rem;
    color:var(--white);
}

.container{
    max-width:1400px;
    margin:auto;
}


header{
    margin-bottom:4rem;
}

.logo{
    width:200px;
}


.hero{
    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:2.5rem;
}

.hero-content h1{
    font-size:3.2rem;
    font-weight:600;
    line-height:1.3;
    margin-bottom:1.5rem;
    font-family:'Poppins', sans-serif;
}

.hero-content p{
    font-size:1.1rem;
    font-weight:400; 
    margin-bottom: 1.5rem;
    line-height:1.8;
    color:var(--white);
}

.hero-content button{
    padding:1rem 4rem;
    background-color:var(--white);
    border:none;
    border-radius:50px;
    color:var(--violet);
    font-size:1rem;
    font-family:'Poppins', sans-serif;
    cursor:pointer;
    box-shadow:0 8px 15px rgba(0,0,0,0.2);
    transition:all 0.3s ease;
}

.hero-content button:hover{
    background-color:var(--soft-magenta);
    color:var(--white);
}


footer{
    display:flex;
    justify-content:flex-end;
    margin-top:2rem;
}

.social-icons{
    display:flex;
    gap:1rem;
}

.social-icons a{
    text-decoration:none;
    color:var(--white);
    width:42px;
    height:42px;
    display:flex;
    justify-content:center;
    align-items:center;
    border-radius:50%;
    border:1px solid var(--white);
    transition:all 0.3s ease;
}

.social-icons a:hover{
    border-color:var(--soft-magenta);
    color:var(--soft-magenta);
}


@media(max-width:900px){

    body{
        background-image:url('./images/bg-mobile.svg');
        padding:2rem;
        text-align:center;
    }

    header{
        margin-bottom:3.5rem;
    }

    .logo{
        width:140px;
    }

    .hero{
        flex-direction:column;
        gap:3.5rem;
    }

    .hero-image img{
        width:100%;
        max-width: 700px;
    }

    .hero-content{
        max-width:100%;
    }

    .hero-content h1{
        font-size:2.3rem;
        line-height:1.5;
        margin-bottom:1.5rem;
    }

    .hero-content p{
        font-size:1.3rem;
        line-height:1.8;
        margin-bottom:2rem;
    }

    .hero-content button{
        width:75%;
        padding:1rem 0;
        font-size:1.2rem;
    }

    footer{
        justify-content:center;
        margin-top:5rem;
    }
}